For the complete documentation index, see llms.txt. This page is also available as Markdown.

Generate Claim Link

Generate claim link for an NFT

get

This endpoint generates a claim link for your NFT.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdintegerRequired
nftIdintegerRequired

NFT ID

Responses
200Success
application/json
linkstringRequired
get/v2/projects/n/:projectId/nfts/:nftId/claim
GET /v2/projects/n/:projectId/nfts/:nftId/claim HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "link": "text"
}

Example

curl --location --request GET 'https://dev.underdogprotocol.com/v2/projects/n/4/nfts/1/claim' \
--header 'Authorization: Bearer {token}'
const axios = require('axios');

let config = {
  method: 'get',
  url: 'https://dev.underdogprotocol.com/v2/projects/n/4/nfts/1/claim',
  headers: { 
    'Authorization': 'Bearer {token}'
  }
};

axios(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

Last updated